Subject: Re: [PATCH RFC] virtio_net: fix patch: virtio_net: limit xmit polling

From: Rusty Russell <[email-masked]>
Date: Thu, 19 May 2011 17:00:17 +0930

On Thu, 19 May 2011 01:01:25 +0300, "Michael S. Tsirkin" <[email-masked]> wrote:
> The patch  virtio_net: limit xmit polling
> got the logic reversed: it polled while we had
> capacity not while ring was empty.
> 
> Fix it up and clean up a bit by using a for loop.
> 
> Signed-off-by: Michael S. Tsirkin <[email-masked]>
> ---
> 
> OK, turns out that patch was borken. Here's
> a fix that survived stress test on my box.
> Pushed on my branch, I'll send a rebased series
> with Rusty's comments addressed ASAP.

Normally you would have missed the merge window by now, but I'd really
like this stuff in, so I'm holding it open for this.  I want these patches
in linux-next for at least a few days before I push them.

If you think we're not close enough, please tell me and I'll push
the rest of the virtio patches to Linus now.  

Thanks,
Rusty.